/* ***************************************************************************
 *
 * MACRO: BldHtml;
 *
 * USAGE: %BldHtml(arg1=value, arg2=value, ... argN=valueN);
 *
 * DESCRIPTION:
 *   This macro creates a HTML file for invoking the OLAPViewer application
 *
 * Last Modified By: Ryan Norris
 * Last Modified On: Thur Feb 10 2000
 * *************************************************************************** */

%macro BldHtml(OutFile=,

/* Directory name under \wwwroot\sasweb */
              Package="demos/OLAPViewer",

/* Title on HTML page */
              HTMTitle="OLAPViewer Examples",

/* This is the text to be shown in the root of the tree on the left side */
/* of the eis document */
              NodeText="OLAP Viewer",

/* *********************************
 * TITLE INFO
 * ********************************* */
/* Title in upper area of the webAF frame */
              Title="OLAP Viewer",
/* Should the above title be shown? */
              vTitle="true",
/* Background color */
              TCBack="red",
/* Foreground color */
              TCFore="lightgray",
/* Name of font to use */
              TFName="Dialog",
/* Type of font to use */
              TFStyle="BoldItalic",
/* Size of font to use */
              TFSize="24",

/* *********************************
 * DATACENTER
 * ********************************* */
/* Name of font to use */
              DCName="Dialog",
/* Type of font to use */
              DCStyle="Plain",
/* Size of font to use */
              DCSize="12",

/* *********************************
 * MDDB INFO
 * ********************************* */
/* Name of the MDDB to use */
              MDDB="",
/* Name of the metabase for MDDB above */
              Metabase="",
/* What goes on the rows */
              Rows="",
/* What goes on the columns */
              Cols="",
/* What analysis variables to show */
              Anals="",
/* What statistics to show */
              Stats="SUM",
/* What to put in the Database Connected Text */
              DBText="",
/* Should totals be turned on for the rows? */
              TotalsOn="true",

/* *********************************
 * EIS INFO
 * ********************************* */
/* Name of the EIS Application to use */
              EISAppl="",

/* *********************************
 * BUTTON INFO
 * ********************************* */

/* Which viewers do you want to present */
              vTable="true",
              iTable="table.gif",
              tTable="View table",
              vVBar="true",
              iVBar="vbar.gif",
              tVBar="View vertical bar chart",
              vHBar="true",
              iHBar="hbar.gif",
              tHBar="View horizontal bar chart",
              vPie="true",
              iPie="pie.gif",
              tPie="View pie chart",
              vScatt="true",
              iScatt="line.gif",
              tScatt="View scatter plot",

/* Control of Add/Remove buttons */
              vAddRow="true",
              iAddRow="addrow.gif",
              tAddRow="Add row variable(s)",
              vAddCol="true",
              iAddCol="addcol.gif",
              tAddCol="Add column variable(s)",
              vAddMeas="true",
              iAddMeas="addstat.gif",
              tAddMeas="Add measure(s)",
              vAddStat="true",
              iAddStat="addstat.gif",
              tAddStat="Add statistic(s)",
              vRmvRow="true",
              iRmvRow="removerow.gif",
              tRmvRow="Remove row variable(s)",
              vRmvCol="true",
              iRmvCol="removecol.gif",
              tRmvCol="Remove column variable(s)",
              vRmvMeas="true",
              iRmvMeas="removestat.gif",
              tRmvMeas="Remove measure(s)",
              vRmvStat="true",
              iRmvStat="removestat.gif",
              tRmvStat="Remove statistic(s)",

              vApplyQ="true",
              iApplyQ="refresh.gif",
              tApplyQ="Apply Query",

/* Control of Rotate, Subset, Sorting, Totals, and Computed variables */
              vRotate="true",
              iRotate="rotate.gif",
              tRotate="Rotate rows and columns",
              vSubset="true",
              iSubset="subset.gif",
              tSubset="Subset data",
              vSortAsc="true",
              iSortAsc="sortnuma.gif",
              tSortAsc="Sort column ascending",
              vSortDsc="true",
              iSortDsc="sortnumd.gif",
              tSortDsc="Sort column descending",
              vTotals="true",
              iTotals="totals.gif",
              tTotals="Specify row totals",
              vComput="true",
              iComput="calc.gif",
              tComput="Manage computed variables",

/* Export to Excel, Printing, and Email */
              vExport="true",
              iExport="xls.gif",
              tExport="Download to spreadsheet",
              vPrint="true",
              iPrint="print.gif",
              tPrint="Print",
              vMail="true",
              iMail="letter.gif",
              tMail="Mail report",
              MailHost="mailhost.com",

/* Allow connection to a new MDDB? */
              vNew="true",
              iNew="load.gif",
              tNew="Connect to a new data source",

/* Allow toggling of the webEIS tree */
              vTree="true",
              iTree="treeview.gif",
              tTree="Toggle tree",

/* Notes and Help information */
              vNotes="true",
              iNotes="notepad.gif",
              tNotes="Notes",
              NotesURL="http://localhost/sasweb/default.htm",

              vHelp="true",
              iHelp="help.gif",
              tHelp="Help",
              HelpURL="http://localhost/sasweb/default.htm",

/* *********************************
 * SERVER DEPLOYMENT
 * ********************************* */

/* Web Server */
              WebHost="localhost",
/* SAS machine */
              SASHost="localhost",
/* Statement to execute at invocation of SAS to get libnames, etc. */
              InitStmt="",
              OpSys="PC",
              Port="2323",
              UserID="",
              PW="",
              CmdPrmt="",
              UserPrmt="",
              PWPrmt="",
              SASCmd="",
/* Java Middleware */
              UseMWS="false",
              MWSHost="localhost",
/* Name of web server property file to use */
              PropFile="",
/* Name of key to use in web server property file */
              PropKey="",
/* The Middleware Server will use a profile database */
              UseProf="false",
/* Name of key in MSW profile database */
              ProfName="",

/* *********************************
 * Browsers
 * ********************************* */
/* Support Netscape or not? */
              Netscape="true",

/* ************************************************************************** */
/* DO NOT TOUCH ANYTHING BELOW HERE UNLESS YOU REALLY KNOW WHAT YOU ARE DOING */
/* ************************************************************************** */
/*  Codebase */
              Codebase="/sasweb",
/*  Name of eis file for this application */
              EISFile="OLAPViewer5.eis",
/*  Name of zip file containing all the classes for this application */
              Zip="OLAPViewerApps.jar",
/*  Debuging: Turn on LogTrap? */
              LogTrap="false",
/*  Debuging: Turn on Trace Proxy Client? */
              LogProxy="false"
              );

/*  ----------------------------------------------------------------------- */

data _null_;

file &OutFile;

put '<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML//EN\">';
put '<HTML>';
put '<HEAD>';
put '<TITLE>' &HTMTitle '</TITLE>';
put '</HEAD>';
put '<BODY>';
put '<!  ~ Generated by BldHtml.sas  (Version 1.2 10Feb00) !>';
put '<SCRIPT LANGUAGE="JavaScript"><!--';
put 'var _info = navigator.userAgent;';
put 'var _ns = false;';
put 'var _ie = (_info.indexOf("MSIE") > 0';
put '   && _info.indexOf("Win") > 0';
put '   && _info.indexOf("Windows 3.1") < 0);';
put 'function isIE()';
put '{';
put '   return _ie;';
put '}';
put '//--></SCRIPT>';
put '<COMMENT>';
put '<SCRIPT LANGUAGE="JavaScript1.1"><!--';
put '   var _ns = (navigator.appName.indexOf("Netscape") >= 0';
put '           && ((_info.indexOf("Win") > 0';
put '                   && _info.indexOf("Win16") < 0';
put '                   && java.lang.System.getProperty("os.version").indexOf("3.5") < 0)';
put '                   || (_info.indexOf("Sun") > 0) || (_info.indexOf("Linux") > 0) ));';
put '//--></SCRIPT>';
put '</COMMENT>';
put '<SCRIPT LANGUAGE="VBScript"><!--';
put 'Sub Window_OnLoad';
put '   If (isIE() = True) Then';
put '           NetCopy.Domain=Document.Domain';
put '           NetCopy.ConfigurationURL="http://' &WEBHost '/sasweb/tools/SASNetCopy/webEISNC.cfg"';
put '           NetCopy.Start()';
put '   End If';
put 'End Sub';
put;
put 'Sub NetCopy_Done()';
put '   Document.Writeln(" <HTML>")';
put '   Document.Writeln(" <TITLE>' &HTMTitle '</TITLE>")';
put '   Document.Writeln(" <BODY>")';
put '   Document.Writeln(" <OBJECT")';
put '   Document.Writeln(" CLASSID=""clsid:8AD9C840-044E-11D1-B3E9-00805F499D93""")';
put '   Document.Writeln(" CODEBASE=""http://java.sun.com/products/plugin/1.1.3/jinstall-113-win32.cab#Version=1,1,3,0""")';
put '   Document.Writeln(" HEIGHT=100%")';
put '   Document.Writeln(" NAME=""' &HTMTitle '""")';
put '   Document.Writeln(" WIDTH=100%")';
put '   Document.Writeln(" >")';
put '   Document.Writeln(" <PARAM NAME=""ARCHIVE"" VALUE=""' &Package '/' &Zip '"">")';
put '   Document.Writeln(" <PARAM NAME=""CODE"" VALUE=""com/sas/apps/OLAPViewer/OLAPViewerApps.class"">")';
put '   Document.Writeln(" <PARAM NAME=""CODEBASE"" VALUE=""' &Codebase '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""Title.Visible"" VALUE=""' &vTitle '"">")';
put '   Document.Writeln(" <PARAM NAME=""title.Text"" VALUE=""' &Title '"">")';
put '   Document.Writeln(" <PARAM NAME=""title.Color.Background"" VALUE=""' &TCBack '"">")';
put '   Document.Writeln(" <PARAM NAME=""title.Color.Foreground"" VALUE=""' &TCFore '"">")';
put '   Document.Writeln(" <PARAM NAME=""title.Font.Name"" VALUE=""' &TFName '"">")';
put '   Document.Writeln(" <PARAM NAME=""title.Font.Style"" VALUE=""' &TFStyle '"">")';
put '   Document.Writeln(" <PARAM NAME=""title.Font.Size"" VALUE=""' &TFSize '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""dataCenter.Font.Name"" VALUE=""' &DCName '"">")';
put '   Document.Writeln(" <PARAM NAME=""dataCenter.Font.Style"" VALUE=""' &DCStyle '"">")';
put '   Document.Writeln(" <PARAM NAME=""dataCenter.Font.Size"" VALUE=""' &DCSize '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""data.EIS"" VALUE=""' &EISFile '"">")';
put;
if (symget('EISAppl') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""data.EIS.Application"" VALUE=""' &EISAppl '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""data.MDDB.Database"" VALUE=""' &MDDB '"">")';
put '   Document.Writeln(" <PARAM NAME=""data.MDDB.Metabase"" VALUE=""' &Metabase '"">")';
if (symget('DBText') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""data.MDDB.Text"" VALUE=""' &DBText '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""data.Rows"" VALUE=""' &Rows '"">")';
if (symget('Cols') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""data.Columns"" VALUE=""' &Cols '"">")';
put '   Document.Writeln(" <PARAM NAME=""data.Measures"" VALUE=""' &Anals '"">")';
put '   Document.Writeln(" <PARAM NAME=""data.Statistics"" VALUE=""' &Stats '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""data.TotalsOn"" VALUE=""' &TotalsOn '"">")';
put '   Document.Writeln(" <PARAM NAME=""data.NodeText"" VALUE=""' &NodeText '"">")';
put;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Add.Row"" VALUE=""' &vAddRow '"">")';
if (symget('vAddRow') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Add.Row"" VALUE=""' &tAddRow '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Add.Row"" VALUE=""' &iAddRow '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Add.Col"" VALUE=""' &vAddCol '"">")';
if (symget('vAddCol') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Add.Col"" VALUE=""' &tAddCol '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Add.Col"" VALUE=""' &iAddCol '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Add.Measure"" VALUE=""' &vAddMeas '"">")';
if (symget('vAddMeas') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Add.Measure"" VALUE=""' &tAddMeas '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Add.Measure"" VALUE=""' &iAddMeas '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Add.Stat"" VALUE=""' &vAddStat '"">")';
if (symget('vAddStat') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Add.Stat"" VALUE=""' &tAddStat '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Add.Stat"" VALUE=""' &iAddStat '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.ApplyQuery"" VALUE=""' &vApplyQ '"">")';
if (symget('vApplyQ') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.ApplyQuery"" VALUE=""' &tApplyQ '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.ApplyQuery"" VALUE=""' &iApplyQ '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Compute"" VALUE=""' &vComput '"">")';
if (symget('vComput') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Compute"" VALUE=""' &tComput '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Compute"" VALUE=""' &iComput '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Export"" VALUE=""' &vExport '"">")';
if (symget('vExport') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Export"" VALUE=""' &tExport '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Export"" VALUE=""' &iExport '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.HorizontalBar"" VALUE=""' &vHBar '"">")';
if (symget('vHBar') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.HorizontalBar"" VALUE=""' &tHBar '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.HorizontalBar"" VALUE=""' &iHBar '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Help"" VALUE=""' &vHelp '"">")';
if (symget('vHelp') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Help"" VALUE=""' &tHelp '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Help"" VALUE=""' &iHelp '"">")';
put '   Document.Writeln(" <PARAM NAME=""URL.Help"" VALUE=""' &HelpURL '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Mail"" VALUE=""' &vMail '"">")';
if (symget('vMail') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Mail"" VALUE=""' &tMail '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Mail"" VALUE=""' &iMail '"">")';
put '   Document.Writeln(" <PARAM NAME=""mail.Host"" VALUE=""' &MailHost '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.NewMDDB"" VALUE=""' &vNew '"">")';
if (symget('vNew') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.NewMDDB"" VALUE=""' &tNew '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.NewMDDB"" VALUE=""' &iNew '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Notes"" VALUE=""' &vNotes '"">")';
if (symget('vNotes') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Notes"" VALUE=""' &tNotes '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Notes"" VALUE=""' &iNotes '"">")';
put '   Document.Writeln(" <PARAM NAME=""URL.Notes"" VALUE=""' &NotesURL '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Pie"" VALUE=""' &vPie '"">")';
if (symget('vPie') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Pie"" VALUE=""' &tPie '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Pie"" VALUE=""' &iPie '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Remove.Row"" VALUE=""' &vRmvRow '"">")';
if (symget('vRmvRow') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Remove.Row"" VALUE=""' &tRmvRow '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Remove.Row"" VALUE=""' &iRmvRow '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Remove.Col"" VALUE=""' &vRmvCol '"">")';
if (symget('vRmvCol') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Remove.Col"" VALUE=""' &tRmvCol '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Remove.Col"" VALUE=""' &iRmvCol '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Remove.Stat"" VALUE=""' &vRmvStat '"">")';
if (symget('vRmvStat') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Remove.Stat"" VALUE=""' &tRmvStat '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Remove.Stat"" VALUE=""' &iRmvStat '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Rotate"" VALUE=""' &vRotate '"">")';
if (symget('vRotate') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Rotate"" VALUE=""' &tRotate '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Rotate"" VALUE=""' &iRotate '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Scatter"" VALUE=""' &vScatt '"">")';
if (symget('vScatt') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Scatter"" VALUE=""' &tScatt '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Scatter"" VALUE=""' &iScatt '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Sort.Asc"" VALUE=""' &vSortAsc '"">")';
if (symget('vSortAsc') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Sort.Asc"" VALUE=""' &tSortAsc '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Sort.Asc"" VALUE=""' &iSortAsc '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Sort.Dsc"" VALUE=""' &vSortDsc '"">")';
if (symget('vSortDsc') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Sort.Dsc"" VALUE=""' &tSortDsc '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Sort.Dsc"" VALUE=""' &iSortDsc '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Subset"" VALUE=""' &vSubset '"">")';
if (symget('vSubset') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Subset"" VALUE=""' &tSubset '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Subset"" VALUE=""' &iSubset '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Table"" VALUE=""' &vTable '"">")';
if (symget('vTable') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Table"" VALUE=""' &tTable '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Table"" VALUE=""' &iTable '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Tree"" VALUE=""' &vTree '"">")';
if (symget('vTree') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Tree"" VALUE=""' &tTree '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Tree"" VALUE=""' &iTree '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Totals"" VALUE=""' &vTotals '"">")';
if (symget('vTotals') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Totals"" VALUE=""' &tTotals '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Totals"" VALUE=""' &iTotals '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.VerticalBar"" VALUE=""' &vVBar '"">")';
if (symget('vVBar') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.VerticalBar"" VALUE=""' &tVBar '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.VerticalBar"" VALUE=""' &iVBar '"">")';
end;

put '   Document.Writeln(" <PARAM NAME=""btnVisible.Print"" VALUE=""' &vPrint '"">")';
if (symget('vPrint') eq '"true"') then do;
put '   Document.Writeln(" <PARAM NAME=""toolTip.Print"" VALUE=""' &tPrint '"">")';
put '   Document.Writeln(" <PARAM NAME=""image.Print"" VALUE=""' &iPrint '"">")';
end;
put;
put '   Document.Writeln(" <PARAM NAME=""connection.port"" VALUE=""' &Port '"">")';
put '   Document.Writeln(" <PARAM NAME=""connection.serverArchitecture"" VALUE=""' &OpSys '"">")';
put;
put '   Document.Writeln(" <PARAM NAME=""connection.logTrap"" VALUE=""' &LogTrap '"">")';
put '   Document.Writeln(" <PARAM NAME=""connection.traceProxyClient"" VALUE=""' &LogProxy '"">")';
put;

if (symget('InitStmt') ne '""') then do;
   put '   Document.Writeln(" <PARAM NAME=""connection.initialStatement"" VALUE=""' &InitStmt '"">")';
   put;
end;

if (symget('UseMWS') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.funnel"" VALUE=""' &UseMWS '"">")';
if (symget('UserID') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.username"" VALUE=""' &UserID '"">")';
if (symget('PW') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.password"" VALUE=""' &PW '"">")';
if (symget('CmdPrmt') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.commandPrompt"" VALUE=""' &CmdPrmt '"">")';
if (symget('UserPrmt') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.usernamePrompt"" VALUE=""' &UserPrmt '"">")';
if (symget('PWPrmt') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.passwordPrompt"" VALUE=""' &PWPrmt '"">")';
if (symget('SASCmd') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.command"" VALUE=""' &SASCmd '"">")';
if (symget('SASHost') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.host"" VALUE=""' &SASHost '"">")';
if (symget('MWSHost') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.funnelHost"" VALUE=""' &MWSHost '"">")';
if (symget('PropFile') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.propertyFile"" VALUE=""' &PropFile '"">")';
if (symget('PropKey') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.propertyFileKey"" VALUE=""' &PropKey '"">")';
put '   Document.Writeln(" <PARAM NAME=""connection.useProfile"" VALUE=""' &UseProf '"">")';
if (symget('ProfName') ne '""') then
   put '   Document.Writeln(" <PARAM NAME=""connection.profileName"" VALUE=""' &ProfName '"">")';

put;
put '   Document.Writeln("</OBJECT>")';
put '   Document.Writeln("</BODY></HTML>")';
put 'End Sub';
put 'Sub NetCopy_Cancel()';
put 'End Sub';
put 'Sub NetCopy_Error()';
put 'End Sub';
put '//--></SCRIPT>';
put '<SCRIPT LANGUAGE="JavaScript"><!--';
put 'if (_ie == true) {';
put '   document.writeln(" <OBJECT");';
put '   document.writeln(" CLASSID=\"CLSID:200D52FE-2D40-11D2-B94C-00C04F81D55C\"");';
put '   document.writeln(" ID=\"NetCopy\"");';
put '   document.writeln(" CODEBASE=\"http://' &WebHost '/sasweb/Tools/SASNetCopy/NetCopy.cab#Version=1,0,0,6\"");';
put '   document.writeln(" WIDTH=1 HEIGHT=1>");';
put '   document.writeln(" </OBJECT><NOEMBED><XMP>");';
put '}';
put 'else if (_ns == true) {';

if (symget('Netscape') eq '"true"') then do;
put '     if ( navigator.javaEnabled() ) {';
put;
put '             var vi = new netscape.softupdate.VersionInfo(1,0,0,2);';
put '             var trigger = netscape.softupdate.Trigger;';
put '             if ( trigger.UpdateEnabled() ) {';
put '                     bStarted = trigger.ConditionalSoftwareUpdate("http://' &WebHost '/' &Codebase '/' &Package '/OLAPViewerAppsNC.jar", "java/download/sas/OLAPViewer", vi, trigger.DEFAULT_MODE);';
put '                     if (!bStarted) {';
put '                             document.writeln(" <EMBED");';
put '                             document.writeln(" PLUGINSPAGE=\"http://java.sun.com/products/plugin/1.1.3/plugin-install.html\"");';
put '                             document.writeln(" TYPE=\"application/x-java-applet;version=1.1.3\"");';
put '                             document.writeln(" HEIGHT=625");';
put '                             document.writeln(" NAME=\"' &Title '\"");';
put '                             document.writeln(" WIDTH=860");';
put;
put '                             document.writeln(" CODEBASE=\"' &Codebase '\"")';
put '                             document.writeln(" ARCHIVE=\"' &Package '/' &Zip '\"")';
put '                             document.writeln(" CODE=\"com/sas/apps/OLAPViewer/OLAPViewerApps.class\"");';
put;
put '                             document.writeln(" Title.Visible=\"' &vTitle '\"");';
put '                             document.writeln(" title.Text=\"' &Title '\"");';
put '                             document.writeln(" title.Color.Background=\"' &TCBack '\"");';
put '                             document.writeln(" title.Color.Foreground=\"' &TCFore '\"");';
put '                             document.writeln(" title.Font.Name=\"' &TFName '\"");';
put '                             document.writeln(" title.Font.Style=\"' &TFStyle '\"");';
put '                             document.writeln(" title.Font.Size=\"' &TFSize '\"");';
put;
put '                             document.writeln(" dataCenter.Font.Name=\"' &DCName '\"");';
put '                             document.writeln(" dataCenter.Font.Style=\"' &DCStyle '\"");';
put '                             document.writeln(" dataCenter.Font.Size=\"' &DCSize '\"");';
put;
put '                             document.writeln(" data.EIS=\"' &EISFile '\"");';
put;
if (symget('EISAppl') ne '""') then
   put '                             document.writeln(" data.EIS.Application=\"' &EISAppl '\"");';
put;
put '                             document.writeln(" data.MDDB.Database=\"' &MDDB '\"");';
put '                             document.writeln(" data.MDDB.Metabase=\"' &Metabase '\"");';
if (symget('DBText') ne '""') then
   put '                             document.writeln(" data.MDDB.Text=\"' &DBText '\"");';
put;
put '                             document.writeln(" data.Rows=\"' &Rows '\"");';
if (symget('Cols') ne '""') then
   put '                             document.writeln(" data.Columns=\"' &Cols '\"");';
put '                             document.writeln(" data.Measures=\"' &Anals '\"");';
put '                             document.writeln(" data.Statistics=\"' &Stats '\"");';
put;
put '                             document.writeln(" data.TotalsOn=\"' &TotalsOn '\"");';
put '                             document.writeln(" data.NodeText=\"' &NodeText '\"");';

put '                             document.writeln(" btnVisible.Add.Row=\"' &vAddRow '\"");';
if (symget('vAddRow') eq '"true"') then do;
put '                             document.writeln(" toolTip.Add.Row=\"' &tAddRow '\"");';
put '                             document.writeln(" image.Add.Row=\"' &iAddRow '\"");';
end;

put '                             document.writeln(" btnVisible.Add.Col=\"' &vAddCol '\"");';
if (symget('vAddCol') eq '"true"') then do;
put '                             document.writeln(" toolTip.Add.Col=\"' &tAddCol '\"");';
put '                             document.writeln(" image.Add.Col=\"' &iAddCol '\"");';
end;

put '                             document.writeln(" btnVisible.Add.Measure=\"' &vAddMeas '\"");';
if (symget('vAddCol') eq '"true"') then do;
put '                             document.writeln(" toolTip.Add.Measure=\"' &tAddMeas '\"");';
put '                             document.writeln(" image.Add.Measure=\"' &iAddMeas '\"");';
end;

put '                             document.writeln(" btnVisible.Add.Stat=\"' &vAddStat '\"");';
if (symget('vAddStat') eq '"true"') then do;
put '                             document.writeln(" toolTip.Add.Stat=\"' &tAddStat '\"");';
put '                             document.writeln(" image.Add.Stat=\"' &iAddStat '\"");';
end;

put '                             document.writeln(" btnVisible.ApplyQuery=\"' &vApplyQ '\"");';
if (symget('vApplyQ') eq '"true"') then do;
put '                             document.writeln(" toolTip.ApplyQuery=\"' &tApplyQ '\"");';
put '                             document.writeln(" image.ApplyQuery=\"' &iApplyQ '\"");';
end;

put '                             document.writeln(" btnVisible.Compute=\"' &vComput '\"");';
if (symget('vComput') eq '"true"') then do;
put '                             document.writeln(" toolTip.Compute=\"' &tComput '\"");';
put '                             document.writeln(" image.Compute=\"' &iComput '\"");';
end;

put '                             document.writeln(" btnVisible.Export=\"' &vExport '\"");';
if (symget('vExport') eq '"true"') then do;
put '                             document.writeln(" toolTip.Export=\"' &tExport '\"");';
put '                             document.writeln(" image.Export=\"' &iExport '\"");';

end;
put '                             document.writeln(" btnVisible.Help=\"' &vHelp '\"");';
if (symget('vHelp') eq '"true"') then do;
put '                             document.writeln(" toolTip.Help=\"' &tHelp '\"");';
put '                             document.writeln(" image.Help=\"' &iHelp '\"");';
put '                             document.writeln(" URL.Help=\"' &HelpURL '\"");';
end;

put '                             document.writeln(" btnVisible.HorizontalBar=\"' &vHBar '\"");';
if (symget('vHBar') eq '"true"') then do;
put '                             document.writeln(" toolTip.HorizontalBar=\"' &tHBar '\"");';
put '                             document.writeln(" image.HorizontalBar=\"' &iHBar '\"");';
end;

put '                             document.writeln(" btnVisible.Mail=\"' &vMail '\"");';
if (symget('vMail') eq '"true"') then do;
put '                             document.writeln(" toolTip.Mail=\"' &tMail '\"");';
put '                             document.writeln(" image.Mail=\"' &iMail '\"");';
put '                             document.writeln(" mail.Host=\"' &MailHost '\"");';
end;

put '                             document.writeln(" btnVisible.NewMDDB=\"' &vNew '\"");';
if (symget('vNew') eq '"true"') then do;
put '                             document.writeln(" toolTip.NewMDDB=\"' &tNew '\"");';
put '                             document.writeln(" image.NewMDDB=\"' &iNew '\"");';
end;

put '                             document.writeln(" btnVisible.Notes=\"' &vNotes '\"");';
if (symget('vNotes') eq '"true"') then do;
put '                             document.writeln(" toolTip.Notes=\"' &tNotes '\"");';
put '                             document.writeln(" image.Notes=\"' &iNotes '\"");';
put '                             document.writeln(" URL.Notes=\"' &NotesURL '\"");';
end;

put '                             document.writeln(" btnVisible.Pie=\"' &vPie '\"");';
if (symget('vPie') eq '"true"') then do;
put '                             document.writeln(" toolTip.Pie=\"' &tPie '\"");';
put '                             document.writeln(" image.Pie=\"' &iPie '\"");';
end;

put '                             document.writeln(" btnVisible.Print=\"' &vPrint '\"");';
if (symget('vPrint') eq '"true"') then do;
put '                             document.writeln(" toolTip.Print=\"' &tPrint '\"");';
put '                             document.writeln(" image.Print=\"' &iPrint '\"");';
end;

put '                             document.writeln(" btnVisible.Remove.Row=\"' &vRmvRow '\"");';
if (symget('vRmvRow') eq '"true"') then do;
put '                             document.writeln(" toolTip.Remove.Row=\"' &tRmvRow '\"");';
put '                             document.writeln(" image.Remove.Row=\"' &iRmvRow '\"");';
end;

put '                             document.writeln(" btnVisible.Remove.Col=\"' &vRmvCol '\"");';
if (symget('vRmvCol') eq '"true"') then do;
put '                             document.writeln(" toolTip.Remove.Col=\"' &tRmvCol '\"");';
put '                             document.writeln(" image.Remove.Col=\"' &iRmvCol '\"");';
end;

put '                             document.writeln(" btnVisible.Remove.Stat=\"' &vRmvStat '\"");';
if (symget('vRmvStat') eq '"true"') then do;
put '                             document.writeln(" toolTip.Remove.Stat=\"' &tRmvStat '\"");';
put '                             document.writeln(" image.Remove.Stat=\"' &iRmvStat '\"");';
end;

put '                             document.writeln(" btnVisible.Rotate=\"' &vRotate '\"");';
if (symget('vRotate') eq '"true"') then do;
put '                             document.writeln(" toolTip.Rotate=\"' &tRotate '\"");';
put '                             document.writeln(" image.Rotate=\"' &iRotate '\"");';
end;

put '                             document.writeln(" btnVisible.Scatter=\"' &vScatt '\"");';
if (symget('vScatt') eq '"true"') then do;
put '                             document.writeln(" toolTip.Scatter=\"' &tScatt '\"");';
put '                             document.writeln(" image.Scatter=\"' &iScatt '\"");';
end;

put '                             document.writeln(" btnVisible.Sort.Asc=\"' &vSortAsc '\"");';
if (symget('vSortAsc') eq '"true"') then do;
put '                             document.writeln(" toolTip.Sort.Asc=\"' &tSortAsc '\"");';
put '                             document.writeln(" image.Sort.Asc=\"' &iSortAsc '\"");';
end;

put '                             document.writeln(" btnVisible.Sort.Dsc=\"' &vSortDsc '\"");';
if (symget('vSortDsc') eq '"true"') then do;
put '                             document.writeln(" toolTip.Sort.Dsc=\"' &tSortDsc '\"");';
put '                             document.writeln(" image.Sort.Dsc=\"' &iSortDsc '\"");';
end;

put '                             document.writeln(" btnVisible.Subset=\"' &vSubset '\"");';
if (symget('vSubset') eq '"true"') then do;
put '                             document.writeln(" toolTip.Subset=\"' &tSubset '\"");';
put '                             document.writeln(" image.Subset=\"' &iSubset '\"");';
end;

put '                             document.writeln(" btnVisible.Table=\"' &vTable '\"");';
if (symget('vTable') eq '"true"') then do;
put '                             document.writeln(" toolTip.Table=\"' &tTable '\"");';
put '                             document.writeln(" image.Table=\"' &iTable '\"");';
end;

put '                             document.writeln(" btnVisible.Tree=\"' &vTree '\"");';
if (symget('vTree') eq '"true"') then do;
put '                             document.writeln(" toolTip.Tree=\"' &tTree '\"");';
put '                             document.writeln(" image.Tree=\"' &iTree '\"");';
end;

put '                             document.writeln(" btnVisible.Totals=\"' &vTotals '\"");';
if (symget('vTotals') eq '"true"') then do;
put '                             document.writeln(" toolTip.Totals=\"' &tTotals '\"");';
put '                             document.writeln(" image.Totals=\"' &iTotals '\"");';
end;

put '                             document.writeln(" btnVisible.VerticalBar=\"' &vVBar '\"");';
if (symget('vVBar') eq '"true"') then do;
put '                             document.writeln(" toolTip.VerticalBar=\"' &tVBar '\"");';
put '                             document.writeln(" image.VerticalBar=\"' &iVBar '\"");';
end;

put;
put '                             document.writeln(" connection.port=\"' &Port '\"");';
put '                             document.writeln(" connection.serverArchitecture=\"' &OpSys '\"");';
put;
put '                             document.writeln(" connection.logTrap=\"' &LogTrap '\"");';
put '                             document.writeln(" connection.traceProxyClient=\"' &LogProxy '\"");';
put;
if (symget('InitStmt') ne '""') then do;
   put '                             document.writeln(" connection.initialStatement=\"' &InitStmt '\"");';
   put;
   end;

if (symget('UseMWS') ne '""') then
   put '                             document.writeln(" connection.funnel=\"' &UseMWS '\"");';
if (symget('UserID') ne '""') then
   put '                             document.writeln(" connection.username=\"' &UserID '\"");';
if (symget('PW') ne '""') then
   put '                             document.writeln(" connection.password=\"' &PW '\"");';
if (symget('CmdPrmt') ne '""') then
   put '                             document.writeln(" connection.commandPrompt=\"' &CmdPrmt '\"");';
if (symget('UserPrmt') ne '""') then
   put '                             document.writeln(" connection.usernamePrompt=\"' &UserPrmt '\"");';
if (symget('PWPrmt') ne '""') then
   put '                             document.writeln(" connection.passwordPrompt=\"' &PWPrmt '\"");';
if (symget('SASCmd') ne '""') then
   put '                             document.writeln(" connection.command=\"' &SASCmd '\"");';
if (symget('SASHost') ne '""') then
   put '                             document.writeln(" connection.host=\"' &SASHost '\"");';
if (symget('MWSHost') ne '""') then
   put '                             document.writeln(" connection.funnelHost=\"' &MWSHost '\"");';
if (symget('PropFile') ne '""') then
   put '                             document.writeln(" connection.propertyFile=\"' &PropFile '\"");';
if (symget('PropKey') ne '""') then
   put '                             document.writeln(" connection.propertyFileKey=\"' &PropKey '\"");';
put '                             document.writeln(" connection.useProfile=\"' &UseProf '\"");';
if (symget('ProfName') ne '""') then
   put '                             document.writeln(" connection.profileName=\"' &ProfName '\"");';

put;
put '                             document.writeln(" ><NOEMBED><XMP>");';
put '                     }';
put '                     else {';
put '                             document.write("Starting Installation...");';
put '                     }';
put '             }';
put '             else {';
put '                     document.write("Enable SmartUpdate before running this script.");';
put '             }';
put '     }';
put '     else {';
put '             document.write("Enable Java before running this script.");';
put '     }';
end;

else do;
put '     document.writeln("Sorry: This page is designed only to be used with Microsoft Internet Explorer.");';
end;

put '}';
put 'else {';
put '     document.writeln("This web page has been designed to be used with the Java Plug-in.  To view ");';
put '     document.writeln("it properly, you must use a web browser that supports the Java Plug-in.  ");';
put '     document.writeln("See http://java.sun.com/products/plugin for more details.");';
put '}';
put '//--></SCRIPT>';
put '<APPLET WIDTH=100% HEIGHT=100% ARCHIVE="' &Package '/' &Zip '" NAME="' &HTMTitle '" CODEBASE="' &Codebase '" CODE="com/sas/apps/OLAPViewer/OLAPViewerApps.class" ></XMP>';
put;
put '<PARAM NAME="ARCHIVE" VALUE="' &Package '/' &Zip '">';
put '<PARAM NAME="CODE" VALUE="com/sas/apps/OLAPViewer/OLAPViewerApps.class">';
put '<PARAM NAME="CODEBASE" VALUE="' &Codebase '">';
put;
put '<PARAM NAME="Title.Visible" VALUE="' &vTitle '">';
put '<PARAM NAME="title.Text" VALUE="' &Title '">';
put '<PARAM NAME="title.Color.Background" VALUE="' &TCBack '">';
put '<PARAM NAME="title.Color.Foreground" VALUE="' &TCFore '">';
put '<PARAM NAME="title.Font.Name" VALUE="' &TFName '">';
put '<PARAM NAME="title.Font.Style" VALUE="' &TFStyle '">';
put '<PARAM NAME="title.Font.Size" VALUE="' &TFSize '">';
put;
put '<PARAM NAME="dataCenter.Font.Name" VALUE="' &DCName '">';
put '<PARAM NAME="dataCenter.Font.Style" VALUE="' &DCStyle '">';
put '<PARAM NAME="dataCenter.Font.Size" VALUE="' &DCSize '">';
put;
put '<PARAM NAME="data.EIS" VALUE="' &EISFile '">';
put;
if (symget('EISAppl') ne '""') then
   put '<PARAM NAME="data.EIS.Application" VALUE="' &EISAppl '">';
put;
put '<PARAM NAME="data.MDDB.Database" VALUE="' &MDDB '">';
put '<PARAM NAME="data.MDDB.Metabase" VALUE="' &Metabase '">';
if (symget('DBText') ne '""') then
   put '<PARAM NAME="data.MDDB.Text" VALUE="' &DBText '">';
put;
put '<PARAM NAME="data.Rows" VALUE="' &Rows '">';
if (symget('Cols') ne '""') then
   put '<PARAM NAME="data.Columns" VALUE="' &Cols '">';
put '<PARAM NAME="data.Measures" VALUE="' &Anals '">';
put '<PARAM NAME="data.Statistics" VALUE="' &Stats '">';
put;
put '<PARAM NAME="data.TotalsOn" VALUE="' &TotalsOn '">';
put '<PARAM NAME="data.NodeText" VALUE="' &NodeText '">';
put;

put '<PARAM NAME="btnVisible.Add.Row" VALUE="' &vAddRow '">';
if (symget('vAddRow') eq '"true"') then do;
put '<PARAM NAME="toolTip.Add.Row" VALUE="' &tAddRow '">';
put '<PARAM NAME="image.Add.Row" VALUE="' &iAddRow '">';
end;

put '<PARAM NAME="btnVisible.Add.Col" VALUE="' &vAddCol '">';
if (symget('vAddCol') eq '"true"') then do;
put '<PARAM NAME="toolTip.Add.Col" VALUE="' &tAddCol '">';
put '<PARAM NAME="image.Add.Col" VALUE="' &iAddCol '">';
end;

put '<PARAM NAME="btnVisible.Add.Measure" VALUE="' &vAddMeas '">';
if (symget('vAddMeas') eq '"true"') then do;
put '<PARAM NAME="toolTip.Add.Measure" VALUE="' &tAddMeas '">';
put '<PARAM NAME="image.Add.Measure" VALUE="' &iAddMeas '">';
end;

put '<PARAM NAME="btnVisible.Add.Stat" VALUE="' &vAddStat '">';
if (symget('vAddStat') eq '"true"') then do;
put '<PARAM NAME="toolTip.Add.Stat" VALUE="' &tAddStat '">';
put '<PARAM NAME="image.Add.Stat" VALUE="' &iAddStat '">';
end;

put '<PARAM NAME="btnVisible.ApplyQuery" VALUE="' &vApplyQ '">';
if (symget('vApplyQ') eq '"true"') then do;
put '<PARAM NAME="toolTip.ApplyQuery" VALUE="' &tApplyQ '">';
put '<PARAM NAME="image.ApplyQuery" VALUE="' &iApplyQ '">';
end;

put '<PARAM NAME="btnVisible.Compute" VALUE="' &vComput '">';
if (symget('vComput') eq '"true"') then do;
put '<PARAM NAME="toolTip.Compute" VALUE="' &tComput '">';
put '<PARAM NAME="image.Compute" VALUE="' &iComput '">';
end;

put '<PARAM NAME="btnVisible.Export" VALUE="' &vExport '">';
if (symget('vExport') eq '"true"') then do;
put '<PARAM NAME="toolTip.Export" VALUE="' &tExport '">';
put '<PARAM NAME="image.Export" VALUE="' &iExport '">';
end;

put '<PARAM NAME="btnVisible.HorizontalBar" VALUE="' &vHBar '">';
if (symget('vHBar') eq '"true"') then do;
put '<PARAM NAME="toolTip.HorizontalBar" VALUE="' &tHBar '">';
put '<PARAM NAME="image.HorizontalBar" VALUE="' &iHBar '">';
end;

put '<PARAM NAME="btnVisible.Help" VALUE="' &vHelp '">';
if (symget('vHelp') eq '"true"') then do;
put '<PARAM NAME="toolTip.Help" VALUE="' &tHelp '">';
put '<PARAM NAME="image.Help" VALUE="' &iHelp '">';
put '<PARAM NAME="URL.Help" VALUE="' &HelpURL '">';
end;

put '<PARAM NAME="btnVisible.Mail" VALUE="' &vMail '">';
if (symget('vMail') eq '"true"') then do;
put '<PARAM NAME="toolTip.Mail" VALUE="' &tMail '">';
put '<PARAM NAME="image.Mail" VALUE="' &iMail '">';
put '<PARAM NAME="mail.Host" VALUE="' &MailHost '">';
end;

put '<PARAM NAME="btnVisible.NewMDDB" VALUE="' &vNew '">';
if (symget('vNew') eq '"true"') then do;
put '<PARAM NAME="toolTip.NewMDDB" VALUE="' &tNew '">';
put '<PARAM NAME="image.NewMDDB" VALUE="' &iNew '">';
end;

put '<PARAM NAME="btnVisible.Notes" VALUE="' &vNotes '">';
if (symget('vNotes') eq '"true"') then do;
put '<PARAM NAME="toolTip.Notes" VALUE="' &tNotes '">';
put '<PARAM NAME="image.Notes" VALUE="' &iNotes '">';
put '<PARAM NAME="URL.Notes" VALUE="' &NotesURL '">';
end;

put '<PARAM NAME="btnVisible.Pie" VALUE="' &vPie '">';
if (symget('vPie') eq '"true"') then do;
put '<PARAM NAME="toolTip.Pie" VALUE="' &tPie '">';
put '<PARAM NAME="image.Pie" VALUE="' &iPie '">';
end;

put '<PARAM NAME="btnVisible.Print" VALUE="' &vPrint '">';
if (symget('vPrint') eq '"true"') then do;
put '<PARAM NAME="toolTip.Print" VALUE="' &tPrint '">';
put '<PARAM NAME="image.Print" VALUE="' &iPrint '">';
end;

put '<PARAM NAME="btnVisible.Remove.Row" VALUE="' &vRmvRow '">';
if (symget('vRmvRow') eq '"true"') then do;
put '<PARAM NAME="toolTip.Remove.Row" VALUE="' &tRmvRow '">';
put '<PARAM NAME="image.Remove.Row" VALUE="' &iRmvRow '">';
end;

put '<PARAM NAME="btnVisible.Remove.Col" VALUE="' &vRmvCol '">';
if (symget('vRmvCol') eq '"true"') then do;
put '<PARAM NAME="toolTip.Remove.Col" VALUE="' &tRmvCol '">';
put '<PARAM NAME="image.Remove.Col" VALUE="' &iRmvCol '">';
end;

put '<PARAM NAME="btnVisible.Remove.Stat" VALUE="' &vRmvStat '">';
if (symget('vRmvStat') eq '"true"') then do;
put '<PARAM NAME="toolTip.Remove.Stat" VALUE="' &tRmvStat '">';
put '<PARAM NAME="image.Remove.Stat" VALUE="' &iRmvStat '">';
end;

put '<PARAM NAME="btnVisible.Rotate" VALUE="' &vRotate '">';
if (symget('vRotate') eq '"true"') then do;
put '<PARAM NAME="toolTip.Rotate" VALUE="' &tRotate '">';
put '<PARAM NAME="image.Rotate" VALUE="' &iRotate '">';
end;

put '<PARAM NAME="btnVisible.Scatter" VALUE="' &vScatt '">';
if (symget('vScatt') eq '"true"') then do;
put '<PARAM NAME="toolTip.Scatter" VALUE="' &tScatt '">';
put '<PARAM NAME="image.Scatter" VALUE="' &iScatt '">';
end;

put '<PARAM NAME="btnVisible.Sort.Asc" VALUE="' &vSortAsc '">';
if (symget('vSortAsc') eq '"true"') then do;
put '<PARAM NAME="toolTip.Sort.Asc" VALUE="' &tSortAsc '">';
put '<PARAM NAME="image.Sort.Asc" VALUE="' &iSortAsc '">';
end;

put '<PARAM NAME="btnVisible.Sort.Dsc" VALUE="' &vSortDsc '">';
if (symget('vSortDsc') eq '"true"') then do;
put '<PARAM NAME="toolTip.Sort.Dsc" VALUE="' &tSortDsc '">';
put '<PARAM NAME="image.Sort.Dsc" VALUE="' &iSortDsc '">';
end;

put '<PARAM NAME="btnVisible.Subset" VALUE="' &vSubset '">';
if (symget('vSubset') eq '"true"') then do;
put '<PARAM NAME="toolTip.Subset" VALUE="' &tSubset '">';
put '<PARAM NAME="image.Subset" VALUE="' &iSubset '">';
end;

put '<PARAM NAME="btnVisible.Table" VALUE="' &vTable '">';
if (symget('vTable') eq '"true"') then do;
put '<PARAM NAME="toolTip.Table" VALUE="' &tTable '">';
put '<PARAM NAME="image.Table" VALUE="' &iTable '">';
end;

put '<PARAM NAME="btnVisible.Tree" VALUE="' &vTree '">';
if (symget('vTree') eq '"true"') then do;
put '<PARAM NAME="toolTip.Tree" VALUE="' &tTree '">';
put '<PARAM NAME="image.Tree" VALUE="' &iTree '">';
end;

put '<PARAM NAME="btnVisible.Totals" VALUE="' &vTotals '">';
if (symget('vTotals') eq '"true"') then do;
put '<PARAM NAME="toolTip.Totals" VALUE="' &tTotals '">';
put '<PARAM NAME="image.Totals" VALUE="' &iTotals '">';
end;

put '<PARAM NAME="btnVisible.VerticalBar" VALUE="' &vVBar '">';
if (symget('vVBar') eq '"true"') then do;
put '<PARAM NAME="toolTip.VerticalBar" VALUE="' &tVBar '">';
put '<PARAM NAME="image.VerticalBar" VALUE="' &iVBar '">';
end;

put;
put '<PARAM NAME="connection.port" VALUE="' &Port '">';
put '<PARAM NAME="connection.serverArchitecture" VALUE="' &OpSys '">';
put;
put '<PARAM NAME="connection.logTrap" VALUE="' &LogTrap '">';
put '<PARAM NAME="connection.traceProxyClient" VALUE="' &LogProxy '">';
put;

if (symget('InitStmt') ne '""') then do;
   put '<PARAM NAME="connection.initialStatement" VALUE="' &InitStmt '">';
   put;
end;

if (symget('UseMWS') ne '""') then
   put '<PARAM NAME="connection.funnel" VALUE="' &UseMWS '">';
if (symget('UserID') ne '""') then
   put '<PARAM NAME="connection.username" VALUE="' &UserID '">';
if (symget('PW') ne '""') then
   put '<PARAM NAME="connection.password" VALUE="' &PW '">';
if (symget('CmdPrmt') ne '""') then
   put '<PARAM NAME="connection.commandPrompt" VALUE="' &CmdPrmt '">';
if (symget('UserPrmt') ne '""') then
   put '<PARAM NAME="connection.usernamePrompt" VALUE="' &UserPrmt '">';
if (symget('PWPrmt') ne '""') then
   put '<PARAM NAME="connection.passwordPrompt" VALUE="' &PWPrmt '">';
put;
if (symget('SASCmd') ne '""') then
   put '<PARAM NAME="connection.command" VALUE="' &SASCmd '">';
if (symget('SASHost') ne '""') then
   put '<PARAM NAME="connection.host" VALUE="' &SASHost '">';
put;
if (symget('MWSHost') ne '""') then
   put '<PARAM NAME="connection.funnelHost" VALUE="' &MWSHost '">';
if (symget('PropFile') ne '""') then
   put '<PARAM NAME="connection.propertyFile" VALUE="' &PropFile '">';
if (symget('PropKey') ne '""') then
   put '<PARAM NAME="connection.propertyFileKey" VALUE="' &PropKey '">';
put '<PARAM NAME="connection.useProfile" VALUE="' &UseProf '">';
if (symget('ProfName') ne '""') then
   put '<PARAM NAME="connection.profileName" VALUE="' &ProfName '">';

put;
put '</APPLET>';
put '</NOEMBED></EMBED></OBJECT>';
put '</BODY>';
put '</HTML>';

run;

%exit:

%mend BldHtml;
